Bug 742715 - [NVa8] Dithering needs to be manually applied on Dell Latitude E6410
[NVa8] Dithering needs to be manually applied on Dell Latitude E6410
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
15
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-01 21:30 EDT by Nik Lam
Modified: 2012-08-07 11:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 11:38:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log (32.93 KB, text/plain)
2011-10-01 21:30 EDT, Nik Lam
no flags Details

  None (edit)
Description Nik Lam 2011-10-01 21:30:46 EDT
Created attachment 525892 [details]
Xorg.0.log

Description of problem:

The desktop and any graphics with smooth transitions in shading, or gradients of colour appear banded or blocky.

The problem is most obvious in this specialized test

http://www.lagom.nl/lcd-test/gradient.php

To fix this, dithering needs to be turned on manually using 

sudo xrandr --output eDP-1 --set dithering On

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.10.4-1.fc15.x86_64

How reproducible:

Always


Steps to Reproduce:
1. Boot up laptop
2. log in
3. Browse to http://www.lagom.nl/lcd-test/gradient.php
  
Actual results:

The grey gradients are very obviously split into approximately 60 vertical bands.

Expected results:

The grey gradients should appear as a smooth transition from black to white (and vice versa) without having to apply the dithering setting manually.


Additional info:

Discovered source of the problem from the discussion started by mikc in this IRC log - http://people.freedesktop.org/~cbrill/dri-log/dri-devel-2010-03-04.log

I'm not sure if this is the right bug report to make. Have I chosen the right package? Should I be filing upstream somewhere? Also, what other information is needed from my system so that future versions of Fedora don't require the dithering setting to be applied manually?

Gnome 3's 'Displays' systems settings reports the display as a 'Seiko Epson Corporation 14"'.

Below is the output of xrandr --verbose and attached are the Xorg logs (both captured prior to the dithering setting being applied manually).

[root@myhost ~]# xrandr --verbose
Screen 0: minimum 320 x 200, current 1440 x 900, maximum 8192 x 8192
eDP-1 connected 1440x900+0+0 (0x65) normal (normal left inverted right x axis y axis) 303mm x 190mm
	Identifier: 0x61
	Timestamp:  41352
	Subpixel:   unknown
	Gamma:      1.0:1.0:1.0
	Brightness: 1.0
	Clones:    
	CRTC:       0
	CRTCs:      0 1
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	EDID:
		00ffffffffffff004ca3425400000000
		00140104951e13780a63168b5b579529
		1e4f5400000001010101010101010101
		0101010101011d2aa0e8518420302e46
		99002fbe1000001a141ca0e851842030
		2e4699002fbe1000001a000000fe0057
		473430378131343142540a2000000000
		00004101190000000009010a20200005
	dithering:	Off
		supported: Off          On           Automatic   
	scaling mode:	Full
		supported: None         Full         Center       Full aspect 
  1440x900 (0x65)  107.8MHz +HSync -VSync *current +preferred
        h: width  1440 start 1486 end 1556 total 1928 skew    0 clock   55.9KHz
        v: height  900 start  909 end  918 total  932           clock   60.0Hz
  1440x900 (0x66)   71.9MHz +HSync -VSync
        h: width  1440 start 1486 end 1556 total 1928 skew    0 clock   37.3KHz
        v: height  900 start  909 end  918 total  932           clock   40.0Hz
  1152x864 (0x67)   81.8MHz -HSync +VSync
        h: width  1152 start 1216 end 1336 total 1520 skew    0 clock   53.8KHz
        v: height  864 start  867 end  871 total  897           clock   60.0Hz
  1024x768 (0x68)   63.5MHz -HSync +VSync
        h: width  1024 start 1072 end 1176 total 1328 skew    0 clock   47.8KHz
        v: height  768 start  771 end  775 total  798           clock   59.9Hz
  800x600 (0x69)   38.2MHz -HSync +VSync
        h: width   800 start  832 end  912 total 1024 skew    0 clock   37.4KHz
        v: height  600 start  603 end  607 total  624           clock   59.9Hz
VGA-1 disconnected (normal left inverted right x axis y axis)
	Identifier: 0x62
	Timestamp:  41352
	Subpixel:   unknown
	Clones:    
	CRTCs:      0 1
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	scaling mode:	None
		supported: None         Full         Center       Full aspect 
DP-1 disconnected (normal left inverted right x axis y axis)
	Identifier: 0x63
	Timestamp:  41352
	Subpixel:   unknown
	Clones:    
	CRTCs:      0 1
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	dithering:	Off
		supported: Off          On           Automatic   
	scaling mode:	Full
		supported: None         Full         Center       Full aspect 
DP-2 disconnected (normal left inverted right x axis y axis)
	Identifier: 0x64
	Timestamp:  41352
	Subpixel:   unknown
	Clones:    
	CRTCs:      0 1
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	dithering:	Off
		supported: Off          On           Automatic   
	scaling mode:	Full
		supported: None         Full         Center       Full aspect 
[root@myhost ~]#
Comment 1 Nik Lam 2011-10-01 21:52:43 EDT
It looks like these bugreports at freedesktop.org are for the same thing.

https://bugs.freedesktop.org/show_bug.cgi?id=26906

https://bugs.freedesktop.org/show_bug.cgi?id=33987

https://bugs.freedesktop.org/show_bug.cgi?id=34680

Switching this report to nouveau driver package.
Comment 2 Ben Skeggs 2011-11-09 17:53:07 EST
This should be fixed upstream (where by upstream I mean nouveau git, not the linux kernel yet), and I'll backport the patches to F16 at some point.  The changes are rather extensive, so it's unlikely they'll appear in F15.
Comment 3 Fedora End Of Life 2012-08-07 11:38:18 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.